Bug 1140659 - There is no error message if the user does not have permission to create new support case in 'Red Hat Access' on Jboss ON
Summary: There is no error message if the user does not have permission to create new ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Red Hat Access
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Jeeva Kandasamy
URL:
Whiteboard:
Depends On:
Blocks: JON3-11
TreeView+ depends on / blocked
 
Reported: 2014-09-11 12:57 UTC by Jeeva Kandasamy
Modified: 2015-11-02 00:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-17 13:47:49 UTC
Type: Bug


Attachments (Terms of Use)
no-permission-error (127.14 KB, application/octet-stream)
2014-09-11 12:57 UTC, Jeeva Kandasamy
no flags Details

Description Jeeva Kandasamy 2014-09-11 12:57:55 UTC
Created attachment 936536 [details]
no-permission-error

Description of problem:
If the user does not have permission to create new support case in 'Red Hat Access', should report an error message. When I try to create it in actual portal it's reporting permission error. But via JBoss ON it's not reporting.
However the next button is disabled. It should give detailed message to user.

Version-Release number of selected component (if applicable):
JBoss Operations Network	
Version : 3.3.0.ER02
Build Number : 4fbb183:7da54e2
GWT Version : 2.5.0
SmartGWT Version : 3.0p

How reproducible:
always

Steps to Reproduce:
1. Should have a 'Red Hat Access' user without 'Support case' access
2. Login in to JON 3.3
3. Try to create a new support case.

Additional info: Screen shot is attached.

Comment 3 Simeon Pinder 2014-09-29 08:12:44 UTC
Moving into ER05 as didn't make the ER04 cut.

Comment 4 Simeon Pinder 2014-10-20 17:26:39 UTC
Moving to CR01 as missed ER05 initial and extended cutoffs.

Comment 5 Spenser Shumaker 2014-10-21 19:08:45 UTC
After updating the redhat-access-angular-ui lib this bug should be fixed.

Comment 6 Libor Zoubek 2014-10-22 09:06:01 UTC
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/d9f66ebaa
time:    2014-10-22 11:05:15 +0200
commit:  d9f66ebaa1e0fb88cc2d328d0dcdf2f78c934adf
author:  Libor Zoubek - lzoubek@redhat.com
message: [BZ 1140669][BZ 1134829][BZ 1140659] update RHA to 0.9.34

Comment 7 Simeon Pinder 2014-11-03 19:03:35 UTC
Moving to ON_QA as available to test with latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=396547


Note You need to log in before you can comment on or make changes to this bug.